> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set selected address

> Selecciona una dirección global del customer para reutilizarla en websites.



## OpenAPI

````yaml put /ordering/customers/{externalCustomerId}/selected-address
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /ordering/customers/{externalCustomerId}/selected-address:
    put:
      tags:
        - Ordering API
      summary: Set selected address
      description: >-
        Selecciona una dirección global del customer para reutilizarla en
        websites.
      operationId: orderingSetSelectedAddress
      parameters:
        - in: path
          name: externalCustomerId
          required: true
          description: ID del customer en el sistema externo. Es independiente por app.
          schema:
            type: string
      requestBody:
        description: Dirección a seleccionar.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderingSelectedAddressInput'
      responses:
        '200':
          description: Set selected address
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/OrderingCustomer'
                required:
                  - success
                  - data
        '400':
          description: Invalid request
        '401':
          description: Invalid bearer token
        '404':
          description: Resource not found
      security:
        - bearerAuth: []
components:
  schemas:
    OrderingSelectedAddressInput:
      type: object
      description: Dirección seleccionada globalmente para el customer y app.
      properties:
        placeId:
          oneOf:
            - type: string
              description: Place ID retornado al crear o listar direcciones.
            - type: 'null'
          description: Place ID retornado al crear o listar direcciones.
      additionalProperties: true
    OrderingCustomer:
      type: object
      description: Customer propio de la app Ordering API.
      properties:
        externalCustomerId:
          type: string
          description: ID del customer en el sistema externo.
        email:
          oneOf:
            - type: string
              description: Email real del customer, usado para notificaciones.
            - type: 'null'
          description: Email real del customer, usado para notificaciones.
        phone:
          oneOf:
            - type: string
              description: Teléfono real del customer.
            - type: 'null'
          description: Teléfono real del customer.
        firstName:
          oneOf:
            - type: string
              description: Nombre del customer.
            - type: 'null'
          description: Nombre del customer.
        lastName:
          oneOf:
            - type: string
              description: Apellido del customer.
            - type: 'null'
          description: Apellido del customer.
        selectedAddressId:
          oneOf:
            - type: string
              description: Dirección seleccionada globalmente por la app.
            - type: 'null'
          description: Dirección seleccionada globalmente por la app.
        selectedPlaceId:
          oneOf:
            - type: string
              description: Place ID seleccionado globalmente por la app.
            - type: 'null'
          description: Place ID seleccionado globalmente por la app.
        selectedCityId:
          oneOf:
            - type: string
              description: City ID seleccionado globalmente por la app.
            - type: 'null'
          description: City ID seleccionado globalmente por la app.
        createdAt:
          type: string
          format: date-time
          description: Fecha de creación del customer.
          example: '2026-06-01T12:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          description: Fecha de última actualización del customer.
          example: '2026-06-01T12:00:00.000Z'
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Token

````